Bug 457083 - Review Request: puritan - OLPC disk image compiler
Review Request: puritan - OLPC disk image compiler
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-29 11:18 EDT by Robin Norwood
Modified: 2008-09-16 19:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-16 19:21:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bdpepple: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robin Norwood 2008-07-29 11:18:51 EDT
Spec URL: http://people.redhat.com/rnorwood/rpms/puritan.spec
SRPM URL: http://people.redhat.com/rnorwood/rpms/puritan-0.4-2.fc9.src.rpm
Description: Puritan is a minimal tool for constructing OLPC disk images from sources including RPM repositories and build-stream descriptions.
Comment 1 Brian Pepple 2008-08-10 19:29:52 EDT
MD5Sum:
2abcd24587b313177c98ca4cc8d41258  puritan-0.4.tar.bz2

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* Files have appropriate permissions and owners
* Rpmlint does not find problems
* Builds fine in koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=769552
* Package installs and uninstalls cleanly

+1 APPROVE
Comment 2 Robin Norwood 2008-08-10 22:16:40 EDT
New Package CVS Request
=======================
Package Name: puritan
Short Description: OLPC disk image compiler
Owners: rnorwood
Branches: F-9
InitialCC:
Cvsextras Commits: Yes
Comment 3 Kevin Fenzi 2008-08-11 13:21:56 EDT
cvs done.
Comment 4 Fedora Update System 2008-08-11 16:48:02 EDT
puritan-0.4-2.fc9 has been submitted as an update for Fedora 9
Comment 5 Fedora Update System 2008-09-10 02:53:42 EDT
puritan-0.4-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update puritan'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7742
Comment 6 Fedora Update System 2008-09-16 19:21:03 EDT
puritan-0.4-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.